# Outputs du module Network
output "vpc_id" {
    description = "ID du VPC"
    value       = module.network.vpc_id
}
output "subnet_ids" {
    description = "IDs des sous-réseaux"
    value       = module.network.subnet_ids
}

# Outputs du module Compute
output "internal_ips" {
    description = "IPs internes des instances"
    value       = module.compute.internal_ips
}
output "frontend_public_ip" {
    description = "IP publique du frontend"
    value       = module.compute.frontend_public_ip
}
output "instance_names" {
    description = "Noms des instances"
    value       = module.compute.instance_names
}

# Outputs du module IAM
output "service_account_email" {
    description = "Email du Service Account"
    value       = module.iam.service_account_email
}
output "service_account_key" {
    description = "Clé privée du Service Account"
    value       = module.iam.service_account_key
    sensitive   = true
}